> ## Documentation Index
> Fetch the complete documentation index at: https://anything.notte.cc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search published marketplace functions



## OpenAPI

````yaml https://anything.notte.cc/api/marketplace/openapi.json get /api/marketplace/search
openapi: 3.1.0
info:
  title: Notte Marketplace API
  version: 1.0.0
  description: >-
    Public marketplace discovery APIs and authenticated build/run APIs. The JSON
    Schema components are generated from the shared marketplace contract used by
    both HTTP and MCP.
servers: []
security: []
paths:
  /api/marketplace/search:
    get:
      summary: Search published marketplace functions
      parameters:
        - name: query
          in: query
          required: false
          schema:
            type: string
          description: Search terms.
        - name: q
          in: query
          required: false
          schema:
            type: string
          description: Deprecated alias for query.
          deprecated: true
        - name: category
          in: query
          required: false
          schema:
            type: string
            enum:
              - Real Estate
              - Travel
              - E-commerce
              - Social Media
              - Finance
              - Jobs
              - News & Media
              - Government & Public
              - Healthcare
              - Education
              - Entertainment
              - Sports
              - Food & Dining
              - Maps & Geo
              - Weather
              - Crypto & Web3
              - Automotive
              - Reviews & Ratings
              - B2B & Directories
              - Developer Tools
              - Streaming & Video
              - Music
              - Marketplace
              - Other
        - name: base_url
          in: query
          required: false
          schema:
            type: string
          description: Only return functions for this website.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
        - name: review
          in: query
          required: false
          schema:
            type: string
            enum:
              - verified
              - unverified
          description: Legacy REST filter.
          deprecated: true
      responses:
        '200':
          description: A page of marketplace functions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceSearchResult'
        '400':
          description: Invalid query parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceSearchError'
        '500':
          description: Marketplace search failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceError'
components:
  schemas:
    MarketplaceSearchResult:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              function_id:
                type: string
              name:
                type: string
              label:
                type: string
              description:
                anyOf:
                  - type: string
                  - type: 'null'
              tagline:
                anyOf:
                  - type: string
                  - type: 'null'
              domain:
                anyOf:
                  - type: string
                  - type: 'null'
              categories:
                type: array
                items:
                  type: string
                  enum:
                    - Real Estate
                    - Travel
                    - E-commerce
                    - Social Media
                    - Finance
                    - Jobs
                    - News & Media
                    - Government & Public
                    - Healthcare
                    - Education
                    - Entertainment
                    - Sports
                    - Food & Dining
                    - Maps & Geo
                    - Weather
                    - Crypto & Web3
                    - Automotive
                    - Reviews & Ratings
                    - B2B & Directories
                    - Developer Tools
                    - Streaming & Video
                    - Music
                    - Marketplace
                    - Other
              run_count:
                type: number
              variables:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    type:
                      type: string
                    default: {}
                  required:
                    - name
                  additionalProperties: false
              verified:
                type: boolean
            required:
              - function_id
              - name
              - label
              - description
              - tagline
              - domain
              - categories
              - run_count
              - variables
              - verified
            additionalProperties: false
        total:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        offset:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        limit:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        has_more:
          type: boolean
        guidance:
          type: string
      required:
        - results
        - total
        - offset
        - limit
        - has_more
        - guidance
      additionalProperties: false
    MarketplaceSearchError:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: string
        categories:
          type: array
          items:
            type: string
            enum:
              - Real Estate
              - Travel
              - E-commerce
              - Social Media
              - Finance
              - Jobs
              - News & Media
              - Government & Public
              - Healthcare
              - Education
              - Entertainment
              - Sports
              - Food & Dining
              - Maps & Geo
              - Weather
              - Crypto & Web3
              - Automotive
              - Reviews & Ratings
              - B2B & Directories
              - Developer Tools
              - Streaming & Video
              - Music
              - Marketplace
              - Other
      required:
        - error
        - categories
      additionalProperties: false
    MarketplaceError:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: string
      required:
        - error
      additionalProperties: false

````